// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.shaped('1x thermal:machine_frame', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'thermal:iron_plate',
    A: 'thermal:copper_plate',
	B: 'kubejs:machine_frame_simple'
  })
  event.shaped('1x thermal:machine_press', [
    ' S ',
    'ACA',
    'SDS'
  ], {
    S: 'kubejs:red_alloy_item',
    A: 'minecraft:glass',
	C: 'kubejs:machine_frame_simple',
	D: 'thermal:rf_coil'
  })
 event.shaped('1x thermal:machine_refinery', [
    ' X ',
    'YCY',
    'IPI'
  ], {
    C: 'mekanism:steel_casing',
    I: '#forge:gears/invar',
    P: 'thermal:rf_coil',
    X: '#forge:glass',
    Y: '#forge:ingots/copper'
})
 event.smithing('thermal:device_tree_extractor', 'kubejs:machine_frame_simple', 'minecraft:bucket')
})
onEvent('recipes', event => {
	event.remove({output: 'thermal:machine_frame'})
	event.remove({output: 'thermal:machine_press'})
	event.remove({output: 'thermal:rf_coil'})
	event.remove({output: 'thermal:machine_refinery'})
	event.remove({output: 'thermal:device_tree_extractor'})
	event.remove({output: 'thermal:rubber'})
	event.remove({output: 'thermal:cured_rubber'})
})
onEvent('recipes', event => {
  event.custom(
    {
  "type": "tconstruct:casting_table",
  "cast": {
    "item": "kubejs:red_alloy_item"
  },
  "cast_consumed": true,
  "fluid": {
    "tag": "forge:molten_gold",
    "amount": 288
  },
  "result": "thermal:rf_coil",
  "cooling_time": 114
}
  )
})
onEvent('recipes', event => {
  event.recipes.createCompacting('thermal:rubber', Fluid.of('thermal:latex', 250))
  event.custom({"type": "thermal:refinery","ingredient": {"fluid": "thermal:latex","amount": 100},"result": [{"item": "thermal:rubber","chance": 1}],"energy": 10000})
  event.custom({"type": "thermal:pyrolyzer","ingredient": {"item": "thermal:rubber"},"result": [{"item": "thermal:cured_rubber","count": 2},{"item": 'industrialforegoing:dryrubber',"chance": 0.50}],"energy": 5000,"experience": 0.00})
  event.custom({"type": "thermal:chiller","ingredient": [{"fluid": "tconstruct:molten_gold","amount": 288},{"item": "kubejs:red_alloy_item"}], "result": [{"item": "thermal:rf_coil"}],"energy": 5000})
  event.custom({"type": "thermal:chiller","ingredient": [{"fluid": "tconstruct:molten_iron","amount": 144},{"item": "minecraft:redstone"}], "result": [{"item": "kubejs:red_alloy_item"}],"energy": 5000})
})
